/*comment outside*/
#include <stdio.h>
#define not_main main

char *second_function() {
	return "/*comment outside*/%c#include <stdio.h>%c#define not_main main%c%cchar *second_function() {%c	return %c%s%c;%c}%c%cint not_main() {%c	/*comment inside*/%c	char *program = second_function();%c	printf(program, 10, 10, 10, 10, 10, 34, program, 34, 10, 10, 10, 10, 10, 10, 10, 10, 10);%c	return 0;%c}%c";
}

int not_main() {
	/*comment inside*/
	char *program = second_function();
	printf(program, 10, 10, 10, 10, 10, 34, program, 34, 10, 10, 10, 10, 10, 10, 10, 10, 10);
	return 0;
}
